/*
    Lists
*/
ol,
ul,
[class*='list-'],
[role='list'] {
	/* Standard lists */
	--list-indent: 3.2rem;
	--list-margin-bottom: 1rem;
}

ol,
ul {
	padding-left: var(--list-indent);
	margin-bottom: var(--list-margin-bottom);
}

.list-group,
.list-unstyled {
	padding-left: 0;
	list-style: none;
	margin-bottom: var(--list-margin-bottom);
}

ol:last-child,
ul:last-child,
.list-group:last-child,
.list-unstyled:last-child {
	margin-bottom: 0;
}


/*
	Icon List - Small
*/
.icon-list-small {
	--l-heading-color: var(--color-primary);
	--l-icon-color: var(--color-primary);
	--l-border-color: var(--color-grey-1);
	display: block;
	container-type: inline-size;
	container-name: icon-list-small;
}

.icon-list-small:nth-child(n+2) {
	margin-top: 2rem;
}

.icon-list-small:not(:last-child) {
	margin-bottom: 2rem;
}

.icon-list-small h4 {
	color: var(--l-heading-color);
	margin-bottom: 1.5rem;
}

.icon-list-small > ul.icon-list {
	display: grid;
	grid-template-columns: 1fr;
	list-style: none;
	margin: 0;
	padding: 0;
	row-gap: 0 !important;
	column-gap: clamp(1.5rem, 2vw, 3rem) !important;
}

@container icon-list-small (min-width: 480px) {
	.icon-list-small > ul.icon-list.list-cols-2 {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}

.icon-list-small > ul.icon-list > li {
	display: grid;
	grid-template-columns: 2rem 1fr;
	justify-items: start;
	align-items: start;
	column-gap: 0.5rem;
	padding: 1rem 0;
	border-top: .1rem solid var(--l-border-color);
}

.icon-list-small > ul.icon-list > li > i {
	font-size: 2rem;
	color: var(--l-icon-color);
	margin-top: 0.2rem;
}

.bg-white .icon-list-small {
	--l-heading-color: var(--color-primary);
	--l-icon-color: var(--color-primary);
	--l-border-color: var(--color-grey-1);
}

.bg-light-grey .icon-list-small {
	--l-heading-color: var(--color-primary);
	--l-icon-color: var(--color-primary);
	--l-border-color: var(--color-grey-2);
}

.bg-grey .icon-list-small {
	--l-heading-color: var(--color-grey-2);
	--l-icon-color: var(--color-grey-3);
	--l-border-color: var(--color-grey-8);
}

.bg-black .icon-list-small {
	--l-heading-color: var(--color-grey-4);
	--l-icon-color: var(--color-primary);
	--l-border-color: var(--color-grey-8);
}

.bg-primary .icon-list-small {
	--l-heading-color: var(--color-black-alt);
	--l-icon-color: rgba(var(--color-white-rgb), 0.5);
	--l-border-color: var(--color-primary-alt);
}

/*
	Icon List - Large
*/
.icon-list-large {
	--l-heading-color: var(--color-primary);
	--l-text-color: var(--color-black);
	--l-icon-color: rgba(var(--color-primary-rgb), 0.1);
	--l-border-color: var(--color-grey-1);
	display: block;
	container-type: inline-size;
	container-name: icon-list-large;
}

.icon-list-large:nth-child(n+2) {
	margin-top: 2rem;
}

.icon-list-large:not(:last-child) {
	margin-bottom: 2rem;
}

.icon-list-large > .icon-list {
	display: grid;
	grid-template-columns: 1fr;
	margin: 0;
	padding: 0;
	gap: 0 !important;
	border-bottom: .1rem solid var(--l-border-color);
}

.icon-list-large .icon-list-item {
	display: grid;
	grid-template-columns: 7.2rem 1fr;
	justify-items: start;
	align-items: center;
	gap: clamp(1.5rem, 2vw, 2.5rem);
	padding: 1.5rem 0;
	border-top: .1rem solid var(--l-border-color);
}

.icon-list-large .icon-list-icon {
	display: flex;
	justify-content: center;
	align-items: center;
	align-self: start;
	justify-self: end;
	width: 7.2rem;
	height: 7.2rem;
	border-radius: 50%;
	background-color: var(--l-icon-color);
	overflow: hidden;
}

.icon-list-large .icon-list-icon > img {
	display: block;
	width: 5.6rem;
	height: 5.6rem;
}

.icon-list-large .icon-list-content {
	width: 100%;
}

.icon-list-large .icon-list-heading {
	color: var(--l-heading-color);
	margin-bottom: 0.2rem;
}

.icon-list-large .icon-list-text {
	color: var(--l-text-color);
}

.bg-white .icon-list-large {
	--l-heading-color: var(--color-primary);
	--l-text-color: var(--color-black);
	--l-icon-color: rgba(var(--color-primary-rgb), 0.1);
	--l-border-color: var(--color-grey-1);
}

.bg-light-grey .icon-list-large {
	--l-heading-color: var(--color-primary);
	--l-text-color: var(--color-black);
	--l-icon-color: rgba(var(--color-primary-rgb), 0.1);
	--l-border-color: var(--color-grey-2);
}

.bg-grey .icon-list-large {
	--l-heading-color: var(--color-grey-2);
	--l-text-color: var(--color-white);
	--l-icon-color: var(--color-white);
	--l-border-color: var(--color-grey-8);
}

.bg-black .icon-list-large {
	--l-heading-color: var(--color-grey-4);
	--l-text-color: var(--color-white);
	--l-icon-color: var(--color-white);
	--l-border-color: var(--color-grey-8);
}

.bg-primary .icon-list-large {
	--l-heading-color: var(--color-black-alt);
	--l-text-color: var(--color-white);
	--l-icon-color: rgba(var(--color-white-rgb), 0.85);
	--l-border-color: var(--color-primary-alt);
}


/* 
    Hover 
*/
@media (-moz-touch-enabled: 0), (pointer: fine) {
	a.icon-list-item > *,
	.icon-list-item[data-sync-to-slide] > * {
		transition: 0.2s;
	}

	a.icon-list-item:hover > *,
	.icon-list-item[data-sync-to-slide]:hover > * {
		translate: 1.5rem 0
	}
}


/*
	Resources List
*/

.resource-list-container {
	container-type: inline-size;
	container-name: resource-list;
}

.resource-list {
	--resource-padding-y: 1.5rem;
	display: block;
	margin-top: 1rem;
}

.resource-item-wrapper {
	padding: 0.5rem 0;
	width: 100%;
}

.resource-item {
	display: grid;
	grid-template-columns: calc(3.5rem + var(--padding-blocks)) 1fr 6rem;
	grid-template-areas: "icon title action";
	justify-items: start;
	align-items: center;
	width: 100%;
	text-decoration: none;
	color: var(--color-black);
	background-color: var(--color-light-grey);
	border-radius: 0.5rem;
}

.resource-icon {
	grid-area: icon;
	padding: var(--resource-padding-y) 0 var(--resource-padding-y) var(--padding-blocks);
	color: var(--color-primary);
}

.resource-title {
	grid-area: title;
	padding: var(--resource-padding-y) 0;
}

.resource-meta {
	display: none;
}

.resource-meta-separator {
	color: var(--color-primary);
}

.resource-meta-type {
	text-transform: uppercase;
}

.resource-download {
	display: flex;
	justify-content: center;
	align-items: center;
	grid-area: action;
	width: 100%;
	height: 100%;
	background-color: var(--color-black);
	color: var(--color-black-contrast);
	border-radius: 0 .5rem .5rem 0;
}


@container resource-list (min-width: 576px) {
	.resource-list {
		--resource-padding-y: 2.5rem;
	}

	.resource-item {
		grid-template-columns: calc(4.5rem + var(--padding-blocks)) 1fr max-content 8rem;
		grid-template-areas: "icon title meta action";
	}

	.resource-meta {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-self: end;
		justify-content: center;
		gap: clamp(1rem, 2vw, 2rem);
		flex-wrap: nowrap;
		grid-area: meta;
		padding: var(--resource-padding-y) var(--padding-blocks);
	}

	.resource-title {
		display: flex;
		align-items: center;
		column-gap: 1rem;
		row-gap: 0.5rem;
	}
}


/* 
    Hover 
*/
@media (-moz-touch-enabled: 0), (pointer: fine) {
	.resource-item,
	.resource-download {
		transition: 0.2s;
	}

	.resource-item:hover {
		scale: 1.05;
	}

	.resource-item:hover .resource-download {
		background-color: var(--color-primary);
		color: var(--color-primary-contrast);
	}
}